#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets

TARGET   = coreuniverse
TEMPLATE = app

VERSION  = 2.9.0

# Library section
unix:!macx: LIBS += -lcprime

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += "HAVE_POSIX_OPENPT"

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

        target.path   = $$BINDIR

        desktop.path  = $$PREFIX/share/applications/
        desktop.files = "coreuniverse.desktop"

        icons.path    = /usr/share/icons/hicolor/scalable/apps/
        icons.files   = coreuniverse.svg

        data.path     = $$PREFIX/share/coreapps/docs
        data.files    = docs/ChangeLog docs/License docs/ReleaseNotes

        INSTALLS += target icons desktop data
}


SOURCES += \
    main.cpp \
    coreuniverse.cpp

HEADERS += \
    coreuniverse.h

FORMS += \
    coreuniverse.ui

RESOURCES += \
    resource.qrc
